Storefront
Themes Templates Create
Create a new template in an existing theme.
Authorization
oauth2 themes:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: themes:write
Path Parameters
id*integer
A unique integer value identifying this theme.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"content?string
file?Upload File
Format
uriname*string
Example: 'flatpages/default.html'
Length
length <= 256theme*integer|null
Response Body
application/json
curl -X POST "https://example.com/themes/0/templates/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "theme": 0 }'{
"content": "string",
"file": "http://example.com",
"name": "string",
"theme": 0
}